from pathlib import Path
from dqc_wrapper.test00_file_format import FileFormatCheck
from dqc_wrapper import checker
from dqc_wrapper.test_testers.conftest import dirs
import pytest

""" UNIT TESTS """
def test_cdo_return_format():
    test = FileFormatCheck([dirs.nc_file])
    response = test.cdo_return_format(dirs.nc_file)
    assert 'netcdf' in response.lower()

def test_file_format():
    test = FileFormatCheck([dirs.nc_file])
    response = test.file_return_format(__file__)
    assert 'python' in response.lower()

def test_zip_return_formats():
    test = FileFormatCheck([dirs.zip_file])
    response = test.zip_return_formats(dirs.zip_file)
    assert 'netcdf' in ",".join(response).lower()
    assert 'grib' in ",".join(response).lower()

def test_main():
    test = FileFormatCheck([dirs.grib_file])
    response = test.main()
    assert 'res' in response.keys() and response['res'] == 'ok'
    assert 'msg' in response.keys()


""" INTEGRATION TESTS """
@pytest.mark.skip
def test_test00():
    checker.main([Path(dirs.test_dir, "../conf/conf_test00_3.ini")])
    assert Path("/tmp/dqc_res/conf_test00_3.ini").exists()


if __name__ == "__main__":
    test_cdo_return_format()



